# Interface IFacetResponseValue

## Index

### Properties

- children
- end
- endInclusive
- isLeafValue
- label
- moreValuesAvailable
- numberOfResults
- start
- state
- value

## Properties

### Optional children

children: IFacetResponseValue[]

- Defined in rest/Facet/FacetResponse.ts :31

### Optional end

end: RangeType

Inherited from IRangeValue.end

- Defined in rest/RangeValue.ts :28

### Optional endInclusive

endInclusive: boolean

Inherited from IRangeValue.endInclusive

- Defined in rest/RangeValue.ts :42

### Optional isLeafValue

isLeafValue: boolean

- Defined in rest/Facet/FacetResponse.ts :36

### Optional label

label: string

Inherited from IRangeValue.label

- Defined in rest/RangeValue.ts :37

### Optional moreValuesAvailable

moreValuesAvailable: boolean

- Defined in rest/Facet/FacetResponse.ts :26

### numberOfResults

numberOfResults: number

- Defined in rest/Facet/FacetResponse.ts :21

### Optional start

start: RangeType

Inherited from IRangeValue.start

- Defined in rest/RangeValue.ts :19

### state

state: FacetValueState

- Defined in rest/Facet/FacetResponse.ts :16

### Optional value

value: string

- Defined in rest/Facet/FacetResponse.ts :11

### Hierarchy

- IRangeValue